<Project Sdk="Microsoft.NET.Sdk.Web">
    <PropertyGroup>
        <Description>NPP.SmartSchedue接口宿主</Description>
        <TargetFramework>net9.0</TargetFramework>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
        <DocumentationFile></DocumentationFile>
        <NoWarn>1701;1702;1591;8632;SYSLIB0020;CS8002;NU1902;NU1903;NU1904;</NoWarn>
    </PropertyGroup>

    <ItemGroup>
        <Content Include="ConfigCenter\createdbsql.txt">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </Content>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\NPP.SmartSchedue.Api\NPP.SmartSchedue.Api.csproj"/>
    </ItemGroup>

    <ItemGroup>
        <InternalsVisibleTo Include="NPP.SmartSchedue.Tests"/>
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="DotNetCore.CAP.Dashboard" Version="8.3.5"/>
        <PackageReference Include="DotNetCore.CAP.InMemoryStorage" Version="8.3.5"/>
        <PackageReference Include="DotNetCore.CAP.MySql" Version="8.3.5" />
        <PackageReference Include="DotNetCore.CAP.RabbitMQ" Version="8.3.5" />
        <PackageReference Include="Savorboard.CAP.InMemoryMessageQueue" Version="8.2.1"/>
        <PackageReference Include="FreeSql.Provider.MySql" Version="3.5.207"/>
        <PackageReference Include="SkiaSharp.NativeAssets.Linux.NoDependencies" Version="3.119.0"/>
        <PackageReference Include="ZhonTai.ApiUI" Version="9.1.1"/>
    </ItemGroup>

    <ItemGroup>
        <Content Update="wwwroot\*\*">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </Content>
        <Content Update="wwwroot\*\*\*\*">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </Content>
        <Content Update="wwwroot\*\*\*\*\*">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </Content>
    </ItemGroup>
    <ItemGroup>
        <None Update="ip2region.xdb">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </None>
    </ItemGroup>
    <ItemGroup>
        <None Include="..\..\..\Frameworks\Assets\**\*">
            <Link>%(RecursiveDir)/%(FileName)%(Extension)</Link>
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </None>
    </ItemGroup>

    <Target Name="AfterTargetsPublish" AfterTargets="Publish">
        <ItemGroup>
            <PackageReferenceXmlFiles Include="*\*\*\*.xml"/>
            <PackageReferenceJsonFiles Include="*\*\*\Resources\*.json"/>
        </ItemGroup>
        <Copy SourceFiles="@(PackageReferenceXmlFiles)" DestinationFolder="$(PublishDir)"/>
        <Copy SourceFiles="@(PackageReferenceJsonFiles)" DestinationFolder="$(PublishDir)Resources"/>
    </Target>
</Project>
